# class Chef::Exceptions

## Chef::Exceptions¶ ↑

Chef’s custom exceptions are all contained within the Chef::Exceptions namespace.

### Public Class Methods

const_missing(const_name) click to toggle source
Calls superclass method

    # File lib/chef/exceptions.rb, line 29
    def self.const_missing(const_name)
      if const_name == :ShellCommandFailed
        Chef::Log.warn("Chef::Exceptions::ShellCommandFailed is deprecated, use Mixlib::ShellOut::ShellCommandFailed")
        called_from = caller[0..3].inject("Called from:\n") {|msg, trace_line| msg << "  #{trace_line}\n" }
        Chef::Log.warn(called_from)
        Mixlib::ShellOut::ShellCommandFailed
      else
        super
      end
    end